# -*- encoding: utf-8 -*-
# stub: opentracing-instrumentation 0.2.1 ruby lib

Gem::Specification.new do |s|
  s.name = "opentracing-instrumentation".freeze
  s.version = "0.2.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Fedorenko Dmitrij".freeze]
  s.bindir = "exe".freeze
  s.date = "2021-05-24"
  s.description = "OpenTracing instrumentation for Bunny, Faraday, Hutch, Mongo, PORO, Rack, Sidekiq, Sinatra, Thrift".freeze
  s.email = ["job@fedorenko-d.ru".freeze]
  s.homepage = "https://gitlab.com/c0va23/ruby-opentracing-instrumentation.".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new("> 2.5.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "OpenTracing instrumentation for popular ruby libraries".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<json>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<opentracing>.freeze, ["~> 0.5.0"])
    s.add_development_dependency(%q<activesupport>.freeze, ["~> 5.2"])
    s.add_development_dependency(%q<bson>.freeze, ["~> 4.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["= 2.2.15"])
    s.add_development_dependency(%q<bunny>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<faraday>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<hutch>.freeze, ["~> 0.26.0"])
    s.add_development_dependency(%q<rack>.freeze, ["~> 2.2.2"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<redis>.freeze, ["~> 3.3.5"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.15.0"])
    s.add_development_dependency(%q<rubocop-performance>.freeze, ["~> 1.11.3"])
    s.add_development_dependency(%q<rubocop-rake>.freeze, ["~> 0.5.1"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 2.3.0"])
    s.add_development_dependency(%q<rubocop-thread_safety>.freeze, ["~> 0.4.2"])
    s.add_development_dependency(%q<thrift>.freeze, ["~> 0.14.1"])
  else
    s.add_dependency(%q<json>.freeze, [">= 0"])
    s.add_dependency(%q<opentracing>.freeze, ["~> 0.5.0"])
    s.add_dependency(%q<activesupport>.freeze, ["~> 5.2"])
    s.add_dependency(%q<bson>.freeze, ["~> 4.0"])
    s.add_dependency(%q<bundler>.freeze, ["= 2.2.15"])
    s.add_dependency(%q<bunny>.freeze, ["~> 2.0"])
    s.add_dependency(%q<faraday>.freeze, ["~> 1.0"])
    s.add_dependency(%q<hutch>.freeze, ["~> 0.26.0"])
    s.add_dependency(%q<rack>.freeze, ["~> 2.2.2"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<redis>.freeze, ["~> 3.3.5"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 1.15.0"])
    s.add_dependency(%q<rubocop-performance>.freeze, ["~> 1.11.3"])
    s.add_dependency(%q<rubocop-rake>.freeze, ["~> 0.5.1"])
    s.add_dependency(%q<rubocop-rspec>.freeze, ["~> 2.3.0"])
    s.add_dependency(%q<rubocop-thread_safety>.freeze, ["~> 0.4.2"])
    s.add_dependency(%q<thrift>.freeze, ["~> 0.14.1"])
  end
end
